#English strings go here for Rails i18n
fi:
  plugin_openproject_two_factor_authentication:
    name: "OpenProject Two-factor authentication"
    description: >-
      This OpenProject plugin authenticates your users using two-factor authentication by means of one-time password through the TOTP standard (Google Authenticator) or sent to the user's cell phone via SMS or voice call.
  activerecord:
    attributes:
      two_factor_authentication/device:
        identifier: "Tunnistaa"
        default: "Käytä oletuksena"
      two_factor_authentication/device/sms:
        phone_number: "Puhelinnumero"
    errors:
      models:
        two_factor_authentication/device:
          default_already_exists: "on jo asetettu toiselle OTP-laitteelle."
        two_factor_authentication/device/sms:
          attributes:
            phone_number:
              error_phone_number_format: "on oltava muodossa +358 40 1234567"
    models:
      two_factor_authentication/device: "Tunnistuslaite"
      two_factor_authentication/device/sms: "Matkapuhelin"
      two_factor_authentication/device/totp: "Kaksivaiheisen kirjautumisen salasanasovellus"
      two_factor_authentication/device/webauthn: "WebAuthn"
  two_factor_authentication:
    error_2fa_disabled: "2FA-toimitus on poistettu käytöstä."
    error_no_device: "Tälle käyttäjälle ei ole rekisteröity tunnistuslaitetta, vaikka se vaaditaan."
    error_no_matching_strategy: "Tälle käyttäjälle ei ole käytettävissä vastaavaa 2FA-strategiaa. Ota yhteyttä hallintoasihteisiisi."
    error_is_enforced_not_active: "Konfigurointivirhe: Kaksivaiheinen tunnistautuminen on pakotettu, mutta aktiivisia strategioita ei ole."
    error_invalid_backup_code: "Virheellinen palautuskoodi"
    channel_unavailable: "Toimituskanava %{channel} ei ole käytettävissä."
    no_valid_phone_number: "Mitään voimassa olevaa puhelinnumeroa ei ole."
    label_pwd_confirmation: "Salasana"
    notice_pwd_confirmation: "Sinun on vahvistettava salasanasi tehdessä muutoksia näihin asetuksiin."
    label_device_type: "Laitetyyppi"
    label_default_device: "Oletus tunnistuslaite"
    label_device: "2FA-laite"
    label_devices: "2FA laitteet"
    label_one_time_password: "Kertakäyttösalasana"
    label_2fa_enabled: "Kaksivaiheinen tunnistautuminen on käytössä"
    label_2fa_disabled: "Kaksivaiheinen tunnistautuminen ei ole käytössä"
    text_otp_delivery_message_sms: "Your %{app_title} one-time password is %{token}"
    text_otp_delivery_message_voice: "Your %{app_title} one-time password is: %{pause} %{token}. %{pause} I repeat: %{pause} %{token}"
    text_enter_2fa: "Anna salasanasi laitteestasi."
    text_2fa_enabled: "Sisäänkirjautumisen yhteydessä sinun on annettava koodi oletuksesi määritellystä tunnistuslaitteestasi."
    text_2fa_disabled: "Voit ottaa kaksivaiheisen tunnistautumisen käyttöön käyttämällä yllä olevaa painiketta rekisteröidäksesi uuden tunnistuslaitteen. Jos sinulla on jo laite, sinun on määriteltävä se oletukseksi."
    login:
      enter_backup_code_title: Syötä palautuskoodi
      enter_backup_code_text: Syötä voimassa oleva vahvistuskoodi koodiluettelosta, jos sinulla ei ole enää pääsyä rekisteröityihin 2FA laitteisiin.
      other_device: "Käytä toista laitetta tai palautuskoodia"
    settings:
      title: "Kaksivaiheisen tunnistautumisen asetukset"
      current_configuration: "Current configuration"
      label_active_strategies: "Aktiiviset kaksivaiheisen tunnistautumisen strategiat"
      label_enforced: "Vaadi kaksivaiheinen kirjautuminen"
      label_remember: "Muista kaksivaiheinen tunnistautuminen"
      text_configuration: |
        Note: These values represent the current application-wide configuration. You cannot disable settings enforced by the configuration or change the current active strategies, since they require a server restart.
      text_configuration_guide: For more information, check the configuration guide.
      text_enforced: "Aktivoimalla tämän kaikkien käyttäjien tulee rekisteröidä tunnistuslaite seuraavan kirjautumisen yhteydessä. Asetus voidaan poistaa päältä vain jos sitä ei ole pakotettu konfiguraatiossa."
      text_remember: |
        Aseta tämä suuremmaksi kuin nolla mikäli haluat sallia käyttäjien kaksivaiheisen tunnistautumisen muistamisen annettujen päivien verran. Kaksivaiheista tunnistautumista ei vaadita kyseisenä aikana. Voidaan asettaa vain jos tätä ei ole pakotettu konfiguraatiossa.
      error_invalid_settings: "Valitsemasi kaksivaiheisen tunnistautumisen strategiat eivät kelpää"
      failed_to_save_settings: "Kaksivaiheisen tunnistautumisen asetusten päivitys epäonnistui: %{message}"
    admin:
      self_edit_path: "Os haluat lisätä tai muokata omia 2FA-laitteitasi, siirry osoitteeseen %{self_edit_link}"
      self_edit_link_name: "Kaksivaiheinen tunnistautuminen tiliasetuksissa"
      self_edit_forbidden: "Et voi muokata omia 2FA-laitteitasi tällä polulla. Siirry Tiliasetukset> Kaksi tekijän todennusta sijaan."
      no_devices_for_user: "Tätä käyttäjää varten ei ole rekisteröity tunnistuslaitetta."
      all_devices_deleted: "Tämän käyttäjän kaikki 2FA-laitteet on poistettu"
      delete_all_are_you_sure: "Haluatko varmasti poistaa kaikki tämän käyttäjän 2FA-laitteet?"
      button_delete_all_devices: "Poista rekisteröidyt 2FA-laitteet"
      button_register_mobile_phone_for_user: "Rekisteröi matkapuhelin"
      text_2fa_enabled: "Upon every login, this user will be requested to enter a OTP token from their default 2FA device."
      text_2fa_disabled: "The user did not set up a 2FA device through their 'My account page'"
      only_sms_allowed: "Only SMS delivery can be set up for other users."
    upsale:
      title: "Kaksivaiheinen tunnistautuminen"
      description: "Strenghten the security of your OpenProject instance by offering (or enforcing) two-factor authentification to all project members."
    backup_codes:
      none_found: Tälle tilille ei ole palautuskoodeja.
      singular: Palautuskoodi
      plural: Varmistuskoodi
      your_codes: '%{app_name} tilisi %{login}'
      overview_description: |
        Jos et pysty käyttämään tunnistuslaitettasi, voit käyttää palautuskoodia. Luo palautuskoodit seuraavalla painikkeella.
      generate:
        title: Luo palautuskoodit
        keep_safe_as_password: "Tärkeä! Käsittele näitä koodeja salasanoina."
        keep_safe_warning: "Joko tallenna ne salasanahallintaasi tai tulosta sivu ja säilytä se turvallisessa paikassa."
        regenerate_warning: "Varoitus: Jos olet luonut varmuuskopiokoodit aiemmin, ne mitätöidään ja eivät enää toimi."
    devices:
      add_new: "Lisää tunnistuslaite"
      register: "Rekisteröi laite"
      confirm_default: "Vahvista oletuslaitteen muuttaminen"
      confirm_device: "Vahvista laite"
      confirm_now: "Ei vahvistanut, aktivoi tästä napsauttamalla tätä"
      cannot_delete_default: "Et voi poistaa oletuslaitetta"
      make_default_are_you_sure: "Haluatko varmasti tehdä tämän 2FA-laitteen oletusarvoksi?"
      make_default_failed: "Oletusarvoisen 2FA-laitteen päivitys epäonnistui."
      deletion_are_you_sure: "Haluatko varmasti poistaa tämän 2FA laitteen?"
      registration_complete: "2FA laitteen rekisteröinti on valmis!"
      registration_failed_token_invalid: "2FA laitteen rekisteröinti epäonnistui, merkki oli virheellinen."
      registration_failed_update: "Tunnistuslaitteen rekisteröinti epäonnistui, token oli voimassa mutta laitetta ei voitu päivittää."
      confirm_send_failed: "Tunnistuslaitteen vahvistus epäonnistui."
      button_complete_registration: "Viimeistele tunnistuslaitteen rekisteröinti"
      text_confirm_to_complete_html: "Vahvista laitteen <strong>%{identifier}</strong> rekisteröinti antamalla kertakäyttösalasana."
      text_confirm_to_change_default_html: "Please confirm changing your default device to <strong>%{new_identifier}</strong> by entering a one-time password from your current default device."
      text_identifier: "Voit antaa laitteelle mukautetun tunnisteen."
      failed_to_delete: "Tunnistuslaitteen poistaminen epäonnistui"
      is_default_cannot_delete: "The device is marked as default and cannot be deleted due to an active security policy. Mark another device as default before deleting."
      not_existing: "Käyttäjätilillesi ei ole rekisteröity tunnistuslaitetta."
      2fa_from_input: Please enter the code from your <strong>%{device_name}</strong> to verify your identity.
      2fa_from_webauthn: Please provide the WebAuthn device <strong>%{device_name}</strong>. If it is USB based make sure to plug it in and touch it. Then click the sign in button.
      webauthn:
        title: "WebAuthn"
        description: Use Web Authentication to register a FIDO2 device (like a YubiKey) or the secure enclave of your mobile device as a second factor.
        further_steps: After you have chosen a name, you can click the Continue button. Your browser will prompt you to present your WebAuthn device. When you have done so, you are done registering the device.
      totp:
        title: "Käytä sovellusta kirjautumisen varmennukseen"
        provisioning_uri: "Sovelluksen URI"
        secret_key: "Salainen avain"
        time_based: "Aikaperusteinen"
        account: "Tilin nimi"
        setup: |
          For setting up two-factor authentication with Google Authenticator, download the application from the Apple App store or Google Play Store.
          After opening the app, you can scan the following QR code to register the device.
        question_cannot_scan: |
          Koodin skannaaminen sovelluksella epäonnistuu?
        text_cannot_scan: |
          Jos et voi skannata koodia, voit lisätä tiedot käsin:
        description: |
          Rekisteröi varmennussovellus kaksivaiheisen kirjautumisen todennusvälineeksi kertakäyttösalasanoja varten. Yleisin sovellus tähän tarkoitukseen on esimerkiksi Google Authenticator, jonka voit ladata puhelimeesi sovelluskaupasta.
      sms:
        title: "Käytä matkapuhelinta"
        redacted_identifier: "Matkapuhelin (%{redacted_number})"
        request_2fa_identifier: "%{redacted_identifier}, lähetimme sinulle tunnistautumiskoodin %{delivery_channel} kautta"
        description: |
          Rekisteröi matkapuhelimesi kertakäyttösalasanojen toimitusta varten.
    sns:
      delivery_failed: "SNS delivery failed:"
    message_bird:
      sms_delivery_failed: "MessageBird SMS delivery failed."
      voice_delivery_failed: "MessageBird voice call failed."
    strategies:
      totp: "Kaksivaiheisen kirjautumisen salasanasovellus"
      sns: "Amazon SNS"
      resdt: "SMS Rest API"
      webauthn: "WebAuthn"
    mobile_transmit_notification: "A one-time password has been sent to your cell phone."
    label_two_factor_authentication: "Kaksivaiheinen tunnistautuminen"
    forced_registration:
      required_to_add_device: "Tietoturva-asetukset vaativat kaksivaiheisen todennuksen käyttöönoton. Ole hyvä ja rekisteröi laitteesi."
    remember:
      active_session_notice: >
        Tilisi kaksivaiheinen kirjautuminen on muistissa %{expires_on} asti.
      other_active_session_notice: Your account has an active remember cookie on another session.
      label: "Muista"
      clear_cookie: "Poista kaikki  muistissa olevat kaksivaiheiset tunnistautumiset."
      cookie_removed: "Kaikki muistissa olevat kaksivaiheiset todennusistunnot poistettu."
      dont_ask_again: "Muista tunnistautuminen tällä laitteella seuraavat %{days} päivää."
  field_phone: "Matkapuhelin"
  field_otp: "Kertakäyttösalasana"
  notice_account_otp_invalid: "Virheellinen kertakäyttösalasana."
  notice_account_otp_expired: "The one-time password you entered expired."
  notice_developer_strategy_otp: "Developer strategy generated the following one-time password: %{token} (Channel: %{channel})"
  notice_account_otp_send_failed: "Your one-time password could not be sent."
  notice_account_has_no_phone: "No cell phone number is associated with your account."
  label_expiration_hint: "%{date} or on logout"
  label_actions: "Toiminnot"
  label_confirmed: "Vahvistettu"
  button_continue: "Jatka"
  button_make_default: "Merkitse oletusarvo"
  label_unverified_phone: "Cell phone not yet verified"
  notice_phone_number_format: "Anna numero esim. +358 40 1234567."
  text_otp_not_receive: "Muut tunnistustavat"
  text_send_otp_again: "Lähetä kertakäyttösalasana uudelleen:"
  button_resend_otp_form: "Lähetä uudelleen"
  button_otp_by_voice: "Äänipuhelu"
  button_otp_by_sms: "SMS"
  label_otp_channel: "Toimituskanava"
